Forgot Password

​

Triggers the forgot password email sent to the user's email address containing the password reset link.

Headers

  • The signature for the API call

  • Set this header to application/json.

  • Advertises which content types the client is able to understand

  • For details, see User Agent.

Body

application/json
  • Client key of the business

  • Properties: 1

Responses

  • application/json
  • Sending invalid Signature

  • Sending invalid Entity

Request Example for post/api/auth/users/forgot_password
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/users/forgot_password \
  --request POST \
  --header 'x-pch-digest: SIGNATURE_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
  --data '{
  "user": {
    "email": "test@example.com"
  },
  "client": "CLIENT_GOES_HERE"
}'
Blank Response